#region Copyright Syncfusion Inc. 2001 - 2017
// Copyright Syncfusion Inc. 2001 - 2017. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using Syncfusion.Windows.Forms.Grid;
using System.Data.SqlClient;

using System.Data.SqlServerCe;
using System.IO;
using Syncfusion.Windows.Forms;
using Syncfusion.Windows.Forms.Tools;
using System.Collections.Specialized;
//using DemoCommon.Grid;
using Syncfusion.Windows.Forms.Grid.Grouping;
using Syncfusion.Grouping;
using System.Runtime.Serialization;
using Syncfusion.GridHelperClasses;
using Syncfusion.Collections;
using System.Collections.Generic;

namespace SortingMethods
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class Form1 : Form//GridDemoForm
    {
        #region  "API Definitions"
        private GridGroupingControl gridGroupingControl1;
        DataTable dt;
        DataRow dr;
        BindingSource bindingSource;
        
        #endregion

        #region "Constructor"

        public Form1()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

            #region "DataSource"
            dt = new DataTable();
            dt.Columns.Add("ID");
            dt.Columns.Add("Value");
            dt.Columns.Add("Name");
            dt.Columns.Add("Category");
            dt.Columns.Add("CheckBox");
            for (int i = 0; i < 50; i++)
            {
                dr = dt.NewRow();
                dr[0] = i ;
                dr[1] = "desc" + i;
                dr[2] = "Name" + i;
                dr[3] = "Category" + i;
                if (i % 2 == 0)
                {
                    dr[4] = "Y";
                }
                else
                    dr[4] = "N";
                dt.Rows.Add(dr);
            }
            this.gridGroupingControl1.DataSource = dt;
            #endregion

            bindingSource = new BindingSource();
            bindingSource.DataSource = dt;

            this.gridGroupingControl1.ShowGroupDropArea = false;
            this.gridGroupingControl1.AllowProportionalColumnSizing = true;
            this.gridGroupingControl1.TopLevelGroupOptions.ShowCaption = false;
            gridGroupingControl1.TopLevelGroupOptions.ShowAddNewRecordBeforeDetails = true;
            gridGroupingControl1.TopLevelGroupOptions.ShowAddNewRecordAfterDetails = false;
            //gridGroupingControl1.TableOptions.ListBoxSelectionMode = SelectionMode.MultiExtended;
            gridGroupingControl1.TableOptions.AllowSelection = GridSelectionFlags.Any;

            gridGroupingControl1.TableDescriptor.Columns["ID"].Appearance.AnyRecordFieldCell.CellType = GridCellTypeName.ComboBox;
            gridGroupingControl1.TableDescriptor.Columns["ID"].Appearance.AnyRecordFieldCell.AutoCompleteInEditMode = GridComboSelectionOptions.AutoSuggest;
            gridGroupingControl1.TableDescriptor.Columns["ID"].Appearance.AnyRecordFieldCell.DataSource = bindingSource.DataSource;
            gridGroupingControl1.TableDescriptor.Columns["ID"].Appearance.AnyRecordFieldCell.DisplayMember = "ID";
            gridGroupingControl1.TableDescriptor.Columns["ID"].Appearance.AnyRecordFieldCell.ShowButtons = GridShowButtons.Hide;

            //Event triggering
            gridGroupingControl1.TableControlCurrentCellKeyPress += GridGroupingControl1_TableControlCurrentCellKeyPress;
        }
        //Event customization
        private void GridGroupingControl1_TableControlCurrentCellKeyPress(object sender, GridTableControlKeyPressEventArgs e)
        {
            if (this.gridGroupingControl1.TableControl.CurrentCell.Renderer is GridComboBoxCellRenderer)
                this.gridGroupingControl1.TableControl.CurrentCell.ShowDropDown();
        }


        #endregion

        #region "Designer Stuffs"
        /// <summary>
        /// Required designer variable.
        /// </summary>
        private System.ComponentModel.IContainer components = null;

        /// <summary>
        /// Clean up any resources being used.
        /// </summary>
        /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
        protected override void Dispose(bool disposing)
        {
            if (disposing && (components != null))
            {
                components.Dispose();
            }
            base.Dispose(disposing);
        }

        #region Windows Form Designer generated code

        /// <summary>
        /// Required method for Designer support - do not modify
        /// the contents of this method with the code editor.
        /// </summary>
        private void InitializeComponent()
        {
            this.gridGroupingControl1 = new Syncfusion.Windows.Forms.Grid.Grouping.GridGroupingControl();
            ((System.ComponentModel.ISupportInitialize)(this.gridGroupingControl1)).BeginInit();
            this.SuspendLayout();
            // 
            // gridGroupingControl1
            // 
            this.gridGroupingControl1.AlphaBlendSelectionColor = System.Drawing.Color.FromArgb(((int)(((byte)(64)))), ((int)(((byte)(0)))), ((int)(((byte)(120)))), ((int)(((byte)(215)))));
            this.gridGroupingControl1.BackColor = System.Drawing.SystemColors.Window;
            this.gridGroupingControl1.Dock = System.Windows.Forms.DockStyle.Fill;
            this.gridGroupingControl1.Location = new System.Drawing.Point(0, 0);
            this.gridGroupingControl1.Margin = new System.Windows.Forms.Padding(4, 4, 4, 4);
            this.gridGroupingControl1.Name = "gridGroupingControl1";
            this.gridGroupingControl1.ShowCurrentCellBorderBehavior = Syncfusion.Windows.Forms.Grid.GridShowCurrentCellBorder.GrayWhenLostFocus;
            this.gridGroupingControl1.Size = new System.Drawing.Size(763, 566);
            this.gridGroupingControl1.TabIndex = 0;
            this.gridGroupingControl1.Text = "gridGroupingControl1";
            this.gridGroupingControl1.UseRightToLeftCompatibleTextBox = true;
            this.gridGroupingControl1.VersionInfo = "12.4400.0.24";
            // 
            // Form1
            // 
            this.AutoScaleDimensions = new System.Drawing.SizeF(8F, 16F);
            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
            this.ClientSize = new System.Drawing.Size(763, 566);
            this.Controls.Add(this.gridGroupingControl1);
            this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
            this.Margin = new System.Windows.Forms.Padding(4, 4, 4, 4);
            this.MaximizeBox = false;
            this.MinimizeBox = false;
            this.Name = "Form1";
            this.ShowIcon = false;
            this.Text = "Filtering";
            ((System.ComponentModel.ISupportInitialize)(this.gridGroupingControl1)).EndInit();
            this.ResumeLayout(false);

        }


        #endregion

        #endregion
    }
}
